+ Post New Thread
Page 1 of 486 1 2 3 11 51 101 ... LastLast
Threads 1 to 25 of 12149

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 27,765
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 44,406
    18th Sep 2006 10:46 pm Go to last post
  1. Drawing BSP Taper Internal thread

    Hi Dear friend: Have time to help me? I appriciate your help! My frist topic in Cadtutor http://www.cadtutor.net/forum/showthread.php?86230-How-to-drawing-Taper-Pipe-Threads I want use lisp to...

    Started by AIberto‎, 26th Aug 2014 01:09 pm
    4 Pages
    1 2 3 ... 4
    • Replies: 35
    • Views: 850
    Today 02:11 pm Go to last post
  2. Question How to generate a "midpoint" line between two other lines?

    Is there a way to generate a "midpoint" line between two other lines? Acad 2008, drawing has no vertical. Lines are irregular, not perfectly straight. Essentially, I am trying to generate a...

    Started by WindowsIHateYou‎, 22nd May 2014 02:02 am
    2 Pages
    1 2
    • Replies: 19
    • Views: 799
    Today 02:01 pm Go to last post
  3. Move an Object along an Axis using Coordinate Filters

    Hi, I already had this issue in the thread Move objects to match x (y,z) -coordinate of another point. Alan helped me a lot with this, but somehow, it didn't work (to be precise, It works only...

    Started by Randolph‎, 15th Jun 2010 09:20 am
    2 Pages
    1 2
    • Replies: 10
    • Views: 2,548
    Today 01:31 pm Go to last post
  4. Match Text Height, Width & Oblique

    Hi All, Please help me regarding that when im using match properties to match the Width, Height or Oblique of Mtext and Attributes it will not change or match the text i want, Please provide...

    Started by VisDak‎, 15th Jun 2009 05:34 pm
    2 Pages
    1 2
    • Replies: 12
    • Views: 6,016
    Today 11:26 am Go to last post
  5. LSP, LISP grade levels, point calculation, road levels

    hello, everyboy, LOOKING FOR LISP SOME ONE CAN HELP PLEASE. I got to do a lot of work on my new project, this is something I had never done before...the task is to calculate certain grade...

    Started by nosyparker‎, Yesterday 06:08 am
    grade levels, point calculation, road levels
    • Replies: 4
    • Views: 204
    Today 05:21 am Go to last post
  6. LISP to check if the polyline is in the centre of 2 polylines/lines

    Currently my work now involves checking if polylines is in the center between 2 polylines/lines. If there are not, i need to shift/stretch to make it centre. As usual, some changes are very small...

    Started by vernonlee‎, 5th Aug 2014 01:41 am
    4 Pages
    1 2 3 ... 4
    • Replies: 37
    • Views: 1,635
    Today 04:52 am Go to last post
  7. LISP to find variables list

    Here's a simple routine I wrote that quickly finds the variables set on a lsp file. What it does is write to a new file the defun name and any text it finds immediately after setq: (defun...

    Started by cletero‎, Today 03:04 am
    • Replies: 0
    • Views: 70
    Today 03:04 am Go to last post
  8. Filter selection set for 2 types of entities?

    This is probably a very elementary question, but I've tried everything I can think of and can't figure it out. I know I can filter a selection set with this: (setq ss1 (ssget '((0 . "TEXT")))) to...

    Started by ANA-SA‎, 31st Aug 2014 09:52 pm
    • Replies: 4
    • Views: 183
    Yesterday 10:05 pm Go to last post
  9. mark intersection distance at two polyline

    Hi all. I have two polylines which have same length. One polyline contain some intersection at random distance. I need to mark the other polyline with the same intersection distance..

    Started by souvik‎, Yesterday 11:41 am
    • Replies: 6
    • Views: 184
    Yesterday 07:16 pm Go to last post
  10. entmod returns nil on second run of lisp routine

    Hi, I'm using the following code as part of a lisp which draws polylines. Basically, the polyline is drawn, it's checked to be clock wise or ccw and if necesary, its direction is changed before...

    Started by cletero‎, Yesterday 06:43 am
    • Replies: 4
    • Views: 133
    Yesterday 06:05 pm Go to last post
  11. Help! need to draw this symbols

    Hi guys My English is very poor, so upload the image for explain. Draw arc on curve . (line, pline, circle, arc, ellipse) Can specify a starting point and end point and have a few...

    Started by andy_lee‎, 30th Aug 2014 07:06 am
    2 Pages
    1 2
    • Replies: 12
    • Views: 459
    Yesterday 05:08 pm Go to last post
  12. The direction of view (help)

    Hi all Have a routine like this? use dialog to choose symbol: A,B,C,D......Z scale: 1:1.5 ,1:2 ,1:2.5 ,1:3 ,1:4 ,1:5 ,1:10 and 2:1 , 2.5:1 , 4:1 , 5:1 ,10:1 Dir.of rotation: left...

    Started by AIberto‎, 6th Aug 2014 03:37 am
    4 Pages
    1 2 3 ... 4
    • Replies: 36
    • Views: 1,152
    Yesterday 04:40 pm Go to last post
  13. Change colors for all entities, also inside blocks

    Hello I cannot find a lisp thath change the colors for all entities in the drawing For monochrome printing a need to change 0,255,0 to red ; 255,0,0 to green etc. The quick select command dont...

    Started by maksolino‎, 31st Aug 2014 09:29 am
    • Replies: 2
    • Views: 162
    Yesterday 04:27 pm Go to last post
  14. Replace Attributes with the Correct Values

    Good morning peeps... asking for your kind assistance. I have attached here 2 files. One is the Exploded and the other is the Attribute Block to be used. For some "silly" reason, our drafter...

    Started by nod684‎, 29th Aug 2014 04:20 am
    2 Pages
    1 2
    • Replies: 10
    • Views: 290
    Yesterday 06:39 am Go to last post
  15. Smile AutoliSP resquest

    Hi friends! if someone can help me i will be thanks!!:D I need a lisp can calculate area and perimeter. That lisp isn't hard to be found. But I need one more thing. Insert floor (0.5x0.5) in...

    Started by Madruga_SP‎, 28th Aug 2014 06:57 pm
    2 Pages
    1 2
    • Replies: 11
    • Views: 483
    Yesterday 01:21 am Go to last post
  16. Alter draw order of selection set on different layers

    Hi guys, here's the thing: I have this LISP which draws objects in a specific order on two diferent layers. I have another LISP that needs to process the objects in the exact same order they were...

    Started by cletero‎, 31st Aug 2014 01:01 am
    • Replies: 3
    • Views: 178
    31st Aug 2014 08:17 pm Go to last post
  17. Question Draw a triangle and hatch

    Hello. Cadtutor's friends I have an idea, want to use lisp to do these things. Someone can help me ? 1.Enter the length of "L" , Then Pick up two perpendicular lines ,maybe is Plines. Draw a...

    Started by DuanJinHui‎, 30th Aug 2014 06:53 pm
    • Replies: 5
    • Views: 240
    31st Aug 2014 01:01 pm Go to last post
  18. slice in a script

    I'm new to AutoCAD and Lisp. I'm trying to use Lisp as a script to generate 3d objects in AutoCAD. What I'd like to do: Create a cylinder to use as the base for my object Slice it up a number of...

    Started by drazzilb531‎, 30th Aug 2014 06:17 am
    • Replies: 4
    • Views: 191
    31st Aug 2014 03:12 am Go to last post
  19. Names and properties of all Cell Styles in a Table Style

    Good evening, everyone. When manually creating table styles you can create custom cell styles and set, for each of them, a horizontal and a vertical margin. I'm trying to change an existing...

    Started by JackStone‎, 30th Aug 2014 10:05 pm
    cell style, horizontal margin, table, tablestyle, vertical margin
    • Replies: 0
    • Views: 97
    30th Aug 2014 10:05 pm Go to last post
  20. Question Need a great balloon/bubble feature with AutoNUMBER!

    We have a routine that allows us to pick initial point (for a leader to begin) then a second point (where we want a bubble with a number) We then input a number and it draws a circle around it. ...

    Started by tmelancon‎, 29th Aug 2014 06:18 pm
    • Replies: 9
    • Views: 244
    30th Aug 2014 01:19 pm Go to last post
  21. Delete Specific Layers in Multiple Drawings

    Hi All! I'm new to the world of AutoLISP and would appreciate some help. I'd like a lisp routine that deletes specific layers (and any entities within them) from all of the drawings in a...

    Started by omL20Studio‎, 29th Aug 2014 02:40 pm
    • Replies: 5
    • Views: 189
    30th Aug 2014 12:34 pm Go to last post
  22. Multiple toolbars at once

    Is there any way to turn on or off multiple toolbars at once? (A select few, not all of them.) Thanks

    Started by LosGirk‎, 29th Aug 2014 08:52 pm
    • Replies: 1
    • Views: 147
    30th Aug 2014 05:43 am Go to last post
  23. Revion Cloud and Tag Lisp Not Working

    I have modified this code I found somewhere to fit my needs of being able to insert a revision cloud on an addendum layer with the proper name and freeze previous addendums. I want to be able to add...

    Started by jsetti01‎, 29th Aug 2014 02:09 pm
    • Replies: 1
    • Views: 123
    30th Aug 2014 05:09 am Go to last post
  24. What's the LISP code for "Enter"?

    like, Enter on the keyboard?

    Started by tzframpton‎, 22nd Aug 2006 05:05 pm
    2 Pages
    1 2
    • Replies: 16
    • Views: 5,580
    30th Aug 2014 03:17 am Go to last post
  25. Chainage of second alignment

    I have two alignment i have to know the chainage that the perpendicular offset from first alignment at fixed chainage makes to the second alignment.then what those chainage will be ? Pls help to...

    Started by anindya‎, 27th Aug 2014 09:14 pm
    2 Pages
    1 2
    • Replies: 11
    • Views: 426
    30th Aug 2014 12:50 am Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts